<?php

/**
 * Plugin glomex_oEmbed
 *
 * @package   glomex_oEmbed
 * @author    glomex <info@glomex.com>
 * @copyright 2022 glomex
 * @license   Apache-2.0
 * @link      https://glomex.com
 */

namespace glomex_oEmbed\Engine;

/**
 * Base skeleton of the plugin
 */
class Base {

	/**
	 * @var array The settings of the plugin.
	 */
	public $settings = array();

	/**
	 * Initialize the class and get the plugin settings
	 *
	 * @return bool
	 */
	public function initialize() {
		$this->settings = $this->getSettings();

		return true;
	}

	/**
	 * @return array
	 */
	public function getSettings() {
		return \apply_filters( 'glomex_oembed_get_settings', \get_option(\GLOMEX_OEMBED_TEXTDOMAIN . '-settings', [] ) );
	}

}
